Package org.jboss.resteasy.plugins.server.netty.cdi

## Class CdiNettyJaxrsServer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.NettyJaxrsServer
  - - org.jboss.resteasy.plugins.server.netty.cdi.CdiNettyJaxrsServer

- All Implemented Interfaces:
    `EmbeddedJaxrsServer<NettyJaxrsServer>`

      @Dependent
      public class CdiNettyJaxrsServer
      extends NettyJaxrsServer

  A CDI aware Netty Jaxrs Server.

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.netty.NettyJaxrsServer

      `bootstrap, configuredPort, deployment, domain, hostname, root, runtimePort`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CdiNettyJaxrsServer()` |
    `CdiNettyJaxrsServer​(javax.enterprise.inject.Instance<Object> instance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected RequestDispatcher` | `createRequestDispatcher()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.netty.NettyJaxrsServer

      `deploy, getDeployment, getHostname, getIdleTimeout, getPort, getSniConfiguration, setBacklog, setChannelHandlers, setChannelOptions, setChildChannelOptions, setDeployment, setExecutorThreadCount, setHostname, setHttpChannelHandlers, setIdleTimeout, setIoWorkerCount, setMaxChunkSize, setMaxHeaderSize, setMaxInitialLineLength, setMaxRequestSize, setPort, setRootResourcePath, setSecurityDomain, setSniConfiguration, setSSLContext, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdiNettyJaxrsServer

          public CdiNettyJaxrsServer()

    - #### CdiNettyJaxrsServer

          public CdiNettyJaxrsServer​(javax.enterprise.inject.Instance<Object> instance)

  - ### Method Detail

    - #### createRequestDispatcher

          protected RequestDispatcher createRequestDispatcher()

      Overrides:
        `createRequestDispatcher` in class `NettyJaxrsServer`